﻿@using Microsoft.AspNetCore.Authorization
@using Ngochau.Web.Authorization
@inject IAuthorizationService AuthorizationService

@{
    Layout = "~/Areas/Cpanel/Views/Shared/_Layout.cshtml";
    var resultCreate = await AuthorizationService.AuthorizeAsync(User, "Master", Operations.Create);
    var resultUpdate = await AuthorizationService.AuthorizeAsync(User, "Master", Operations.Update);
    var resultDelete = await AuthorizationService.AuthorizeAsync(User, "Master", Operations.Delete);
}

@section Scripts{
    <script src="/controller/product/products.js" asp-append-version="true"></script>

}
    @section Styles{
    }

    <div class="container-fluid">

        <!-- start page title -->
        <div class="row">
            <div class="col-12">
                <div class="page-title-box">
                    <h4 class="page-title">Quản lý sản phẩm</h4>
                </div>
            </div>
        </div>
        <!-- end page title -->

        <div class="row">
            <div class="col-12">
                <div class="card">
                    <div class="card-body">
                        <div class="row mb-2">
                            <div class="col-xl-6">
                                <form class="row gy-2 gx-2 align-items-center justify-content-xl-start justify-content-between">
                                    <div class="col-auto">
                                        <label for="inputPassword2" class="visually-hidden">Search</label>
                                        <input type="text" class="form-control" id="txtSearchProduct" placeholder="Tìm kiếm...">
                                    </div>
                                    <div class="col-auto">
                                        <div class="d-flex align-items-center">
                                            <select class="form-select" id="ddlStatusSearch">
                                                <option value="-1">Chọn trạng thái</option>
                                                <option value="1">Hoạt động</option>
                                                <option value="0">Khóa</option>
                                            </select>
                                        </div>
                                    </div>
                                    <div class="col-auto">
                                        <a class="btn btn-primary" onclick="OnClickSearch()"><i class="uil-search"></i> Tìm kiếm</a>
                                    </div>
                                </form>
                            </div>
                            <div class="col-xl-6">
                                <div class="text-xl-end mt-xl-0 mt-2">
                                    <a class="btn btn-primary mb-2 me-2" href="/cpanel/product/product"><i class="uil-plus"></i> Thêm mới</a>
                                    <button type="button" class="btn btn-info  mb-2 me-2"><i class="mdi mdi-basket me-1"></i> Tải mẫu</button>
                                    <button type="button" class="btn btn-danger mb-2 me-2"><i class="mdi mdi-basket me-1"></i> Import</button>
                                    <button type="button" class="btn btn-light mb-2">Export</button>
                                </div>
                            </div><!-- end col-->
                        </div>

                        <div class="table-responsive">
                            <table class="table table-centered table-nowrap mb-0">
                                <thead class="table-light">
                                    <tr>
                                        <th style="width: 20px;">
                                            <div class="form-check">
                                                <input type="checkbox" class="form-check-input" id="customCheck1">
                                                <label class="form-check-label" for="customCheck1">&nbsp;</label>
                                            </div>
                                        </th>
                                        <th>Mã SKU</th>
                                        <th>Hình sản phẩm</th>
                                        <th>Mã Barcode</th>
                                        <th>Tên sản phẩm</th>
                                        <th>Ngày nhập</th>
                                        <th>Trạng thái</th>
                                        <th style="text-align:center">Action</th>
                                    </tr>
                                </thead>
                                <tbody id="tbl">
                                </tbody>
                            </table>
                        </div>

                        <div class="row">
                            <div class="col-sm-12 col-md-12 d-flex flex-row justify-content-between p-2">
                                <div class="d-flex flex-row justify-content-start">
                                    <div class="dataTables_paginate paging_simple_numbers p-1" style="float:right;" id="basic-datatable_paginate">
                                        <ul class="pagination pagination-rounded" id="paginationUL">
                                        </ul>
                                    </div>
                                    <div class="p-2">
                                        <div class="form-label">Hiển thị</div>
                                    </div>
                                    <div class="p-1">
                                        <select name="basic-datatable_length" aria-controls="basic-datatable" id="ddlShowPage" class="form-select form-select-sm">
                                            <option value="10">10</option>
                                            <option value="25">25</option>
                                            <option value="50">50</option>
                                            <option value="100">100</option>
                                        </select>
                                    </div>
                                    <div class="p-2">
                                        mục
                                    </div>
                                </div>

                                <div class="dataTables_info d-flex justify-content-end p-2" id="lblTotalRecords" role="status" aria-live="polite">
                                </div>
                            </div>
                            <div style="clear:both;"></div>
                        </div>
                    </div> <!-- end card-body-->
                </div> <!-- end card-->
            </div> <!-- end col -->
        </div>
        <!-- end row -->
    </div>

    <script id="table-template" type="x-tmpl-mustache">
            <tr>
                <td>
                    <div class="form-check">
                        <input type="checkbox" class="form-check-input chk" onclick="CheckProduct()">
                        <label class="form-check-label" for="customCheck2">&nbsp;</label>
                    </div>
                </td>
                <td><a class="text-body fw-bold">#{{SKU}}</a> </td>
                <td> {{{Avatar}}} </td>
                <td style="text-align:center"> {{BarCode}} </td>
                <td> {{Name}} </td>
                <td> {{CreateDate}} <small class="text-muted">{{CreateTime}}</small></td>
                <td><h5>{{{Status}}}</h5></td>
                <td style="text-align:center">
                    <a href="/cpanel/product/product?id={{Id}}" class="action-icon"> <i class="mdi mdi-square-edit-outline"></i></a>
                    <a onclick="Delete('{{Id}}')" class="action-icon"> <i class="mdi mdi-delete"></i></a>
                </td>
        </tr>


    </script>



